Description

Supportanfrage

wir bräuchten eine Unterstützung anlässlich ADTF 2.14 und 2.12.

Wäre es möglich die in der bin file existierenden PLB mit höhere Version von Visualstudio 2017/2019 kompilieren?

Leider besitzen wir noch Funktionen die damit betrieben werden müssten.

Oder wie können wir das Problem lösen bei der Verlinkung mit höhere Versionen von Visualstudio ?

Lösung

Nein, bei ADTF 2.x ist man grundsätzlich an Visual Studio 2010 SP1 (vc100) gebunden. Es ist auch nichts mehr geplant, es gibt

maximal noch Patches, wenn kein Workaround möglich ist und es sich um Blocker handelt.

ADTF 2.x läuft aus, siehe https://support.digitalwerk.net/news/38

Ein Compiler Upgrade wäre technisch ohnehin nicht möglich gewesen, aufgrund der fehlenden ABI und Binärkompatibilität, deshalb

gibt es u.a. ADTF 3.x, in dieser können dann die neuen Features der VC Compiler verwendet werden.

Aktuell (Bei ADTF 3.x) kommt Visual Studio 2017 mit VC141 zum Einsatz

History

#1 - 2020-10-08 11:27 - hidden

- Subject changed from ADTF to ADTF 2.1x higher version of Visualstudio 2017/2019

#2 - 2020-10-09 11:59 - hidden

- Project changed from Public Support to 11

- Subject changed from ADTF 2.1x higher version of Visualstudio 2017/2019 to ADTF 2.1x compile plb with higher version of Visualstudio 2017/2019

- Status changed from New to In Progress

- Author changed from hidden to hidden

- Topic set to ADTF::Common

- Customer set to MAN

- Affected Products ADTF 2.12.1, ADTF 2.14.3 added

#3 - 2020-10-09 12:09 - hidden

- Project changed from 11 to 15

- Author changed from hidden to hidden

#4 - 2020-10-09 12:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo,

Nein, bei ADTF 2.x ist man grundsätzlich an Visual Studio 2010 SP1 (vc100) gebunden. Es ist auch nichts mehr geplant, es gibt maximal noch
Patches, wenn kein Workaround möglich ist und es sich um Blocker handelt.

ADTF 2.x läuft aus, siehe https://support.digitalwerk.net/news/38

Ein Compiler Upgrade wäre technisch ohnehin nicht möglich gewesen, aufgrund der fehlenden ABI und Binärkompatibilität, deshalb gibt es u.a.

ADTF 3.x, in dieser können dann die neuen Features der VC Compiler verwendet werden.

Aktuell (Bei ADTF 3.x) kommt Visual Studio 2017 mit VC141 zum Einsatz

#5 - 2020-10-19 14:45 - hidden

- Project changed from 15 to Public Support

- Subject changed from ADTF 2.1x compile plb with higher version of Visualstudio 2017/2019 to ADTF 2.1x compile plb with higher version of Visual

Studio (2017 or 2019)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

#6 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
